Hermos API

Report Usage

POST/usage_reports

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Header Parameters

Idempotency-Key*string

1–255 printable ASCII characters, including spaces.

Match^[\x20-\x7e]+$(?![\s\S])
Length1 <= length <= 255
Hms-Dry-Run?"true"

Value in

  • "true"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/usage_reports" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "records": [      {        "identifier": "string",        "subscription": "string",        "price": "string",        "occurred_at": "2019-08-24T14:15:22Z"      }    ]  }'
{  "data": [    {      "id": "string",      "billable": true,      "replay": true    }  ]}